#pragma once
#ifndef METALLICITY_DATA_H
#define METALLICITY_DATA_H


/** Metallicity data originally taken from zdata.f **/

/* data for Lzams(1->35) and Rzams(36->76) */

/** NB for compatibility with old fortran code, the first number is 
    TO BE IGNORED!!! **/

/** this caused numerous problems at the time of debugging ;-) **/

#define XZ_DATA 666, 0.39704170, -0.32913574,  0.34776688,  0.37470851, 0.09011915, 8.52762600,-24.41225973, 56.43597107, 37.06152575, 5.45624060,    0.00025546, -0.00123461, -0.00023246,  0.00045519, 0.00016176,    5.43288900, -8.62157806, 13.44202049, 14.51584135, 3.39793084,    5.56357900,-10.32345224, 19.44322980, 18.97361347, 4.16903097,    0.78866060, -2.90870942,  6.54713531,  4.05606657, 0.53287322,    0.00586685, -0.01704237,  0.03872348,  0.02570041, 0.00383376,    1.71535900,  0.62246212, -0.92557761, -1.16996966,-0.30631491,    6.59778800, -0.42450044,-12.13339427,-10.73509484,-2.51487077,   10.08855000, -7.11727086,-31.67119479,-24.24848322,-5.33608972,    1.01249500,  0.32699690, -0.00923418, -0.03876858,-0.00412750,    0.07490166,  0.02410413,  0.07233664,  0.03040467, 0.00197741,    0.01077422,    3.08223400,  0.94472050, -2.15200882, -2.49219496,-0.63848738,   17.84778000, -7.45345690,-48.96066856,-40.05386135,-9.09331816,   0.00022582, -0.00186899,  0.00388783,  0.00142402,-0.00007671

/*
 * data for Tbgb(1->17) and Thook(18->31)
 */
#define XT_DATA 666, 1.593890e+03, 2.053038e+03, 1.231226e+03, 2.327785e+02, 2.706708e+03, 1.483131e+03, 5.772723e+02, 7.411230e+01, 1.466143e+02,-1.048442e+02,-6.795374e+01,-1.391127e+01,     4.141960e-02, 4.564888e-02, 2.958542e-02, 5.571483e-03, 3.426349e-01, 1.949814e+01, 1.758178e+00,-6.008212e+00,-4.470533e+00, 4.903830e+00, 5.212154e-02, 3.166411e-02,-2.750074e-03,-2.271549e-03, 1.312179e+00,-3.294936e-01, 9.231860e-02, 2.610989e-02, 8.073972e-01

/*
 * data for Ltms(1->27), Lalpha(28->43), Lbeta(44->56) and Lhook(57->72)
 */
#define XL_DATA 666, 1.031538e+00,-2.434480e-01, 7.732821e+00, 6.460705e+00, 1.374484e+00, 1.043715e+00,-1.577474e+00,-5.168234e+00,-5.596506e+00,-1.299394e+00, 7.859573e+02,-8.542048e+00,     -2.642511e+01,-9.585707e+00, 3.858911e+03, 2.459681e+03,-7.630093e+01,-3.486057e+02,-4.861703e+01, 2.888720e+02, 2.952979e+02, 1.850341e+02, 3.797254e+01, 7.196580e+00, 5.613746e-01, 3.805871e-01, 8.398728e-02, 2.321400e-01, 1.828075e-03,-2.232007e-02,     -3.378734e-03, 1.163659e-02, 3.427682e-03, 1.421393e-03,-3.710666e-03, 1.048020e-02,-1.231921e-02,-1.686860e-02,-4.234354e-03, 1.555590e+00,-3.223927e-01,-5.197429e-01,-1.066441e-01, 3.855707e-01,-6.104166e-01, 5.676742e+00,     1.060894e+01, 5.284014e+00, 3.579064e-01,-6.442936e-01, 5.494644e+00, 1.054952e+01, 5.280991e+00, 9.587587e-01, 8.777464e-01, 2.017321e-01, 1.910302e-01, 1.158624e-01, 3.348990e-02, 2.599706e-03, 3.931056e-01, 7.277637e-02,-1.366593e-01,-4.508946e-02, 3.267776e-01, 1.204424e-01, 9.988332e-02, 2.455361e-02, 5.990212e-01, 5.570264e-02, 6.207626e-02, 1.777283e-02




/*
 * data for Rtms(1->40), Ralpha(41->64), Rbeta(65->83), Rgamma(84->103)
 * and Rhook(104->119)
 */
#define XR_DATA 666, 2.187715e-01,-2.154437e+00,-3.768678e+00,-1.975518e+00,-3.021475e-01, 1.466440e+00, 1.839725e+00, 6.442199e+00, 4.023635e+00, 6.957529e-01, 2.652091e+01, 8.178458e+01, 1.156058e+02, 7.633811e+01, 1.950698e+01, 1.472103e+00,-2.947609e+00,-3.312828e+00,-9.945065e-01, 3.071048e+00,-5.679941e+00,-9.745523e+00,-3.594543e+00,-8.672073e-02, 2.617890e+00, 1.019135e+00,-3.292551e-02,-7.445123e-02, 1.075567e-02, 1.773287e-02, 9.610479e-03, 1.732469e-03, 1.476246e+00, 1.899331e+00, 1.195010e+00, 3.035051e-01, 5.502535e+00,-6.601663e-02, 9.968707e-02, 3.599801e-02, 4.907546e-01,-1.683928e-01,-3.108742e-01,-7.202918e-02, 4.537070e+00,-4.465455e+00,-1.612690e+00,-1.623246e+00, 1.796220e+00, 2.814020e-01, 1.423325e+00, 3.421036e-01, 2.256216e+00, 3.773400e-01, 1.537867e+00, 4.396373e-01, 1.564231e-03, 1.653042e-03,-4.439786e-03,-4.951011e-03,-1.216530e-03, 5.210157e+00,-4.143695e+00,-2.120870e+00, 1.071489e+00,-1.164852e-01,-8.623831e-02,-1.582349e-02, 7.108492e-01, 7.935927e-01, 3.926983e-01, 3.622146e-02, 3.478514e+00,-2.585474e-02,-1.512955e-02,-2.833691e-03, 3.969331e-03, 4.539076e-03, 1.720906e-03, 1.897857e-04, 9.132108e-01,-1.653695e-01, 3.636784e-02, 1.192334e-02, 1.083057e-02, 1.230969e+00, 1.551656e+00,-1.668868e-01, 5.818123e-01,-1.105027e+01,-1.668070e+01, 7.615495e-01, 1.068243e-01,-2.011333e-01,-9.371415e-02,-1.015564e-01,-2.161264e-01,-5.182516e-02,-3.868776e-01,-5.457078e-01,-1.463472e-01, 9.409838e+00, 1.522928e+00, 7.330122e-01, 5.192827e-01, 2.316416e-01, 8.346941e-03, 1.172768e+00,-1.209262e-01,-1.193023e-01,-2.859837e-02, 3.982622e-01,-2.296279e-01,-2.262539e-01,-5.219837e-02, 3.571038e+00,-2.223625e-02,-2.611794e-02,-6.359648e-03


/*
 * data for Lbgb(1->24), Lbagb(25->44), Rgb(45->66), Ragb(67->100),
 * Mchei(101->102) and Mcbagb(103->112)
 */
#define XG_DATA 666, 9.511033e+01, 6.819618e+01,-1.045625e+01,-1.474939e+01, 3.113458e+01, 1.012033e+01,-4.650511e+00,-2.463185e+00, 1.413057e+00, 4.578814e-01,-6.850581e-02,-5.588658e-02, 3.910862e+01, 5.196646e+01, 2.264970e+01, 2.873680e+00, 4.597479e+00,-2.855179e-01, 2.709724e-01, 6.682518e+00, 2.827718e-01,-7.294429e-02, 4.637345e+00, 9.301992e+00, 1.626062e+02,-1.168838e+01,-5.498343e+00, 3.336833e-01,-1.458043e-01,-2.011751e-02, 7.425137e+01, 1.790236e+01, 3.033910e+01, 1.018259e+01, 9.268325e+02,-9.739859e+01,-7.702152e+01,-3.158268e+01, 1.127018e+01, 1.622158e+00,-1.443664e+00,-9.474699e-01, 2.474401e+00, 3.892972e-01, 9.960283e-01, 8.164393e-01, 2.383830e+00, 2.223436e+00, 8.638115e-01, 1.231572e-01, 2.561062e-01, 7.072646e-02,-5.444596e-02,-5.798167e-02,-1.349129e-02, 1.157338e+00, 1.467883e+00, 4.299661e+00, 3.130500e+00, 6.992080e-01, 1.640687e-02, 4.022765e-01, 3.050010e-01, 9.962137e-01, 7.914079e-01, 1.728098e-01, 1.125124e+00, 1.306486e+00, 3.622359e+00, 2.601976e+00, 3.031270e-01,-1.343798e-01, 3.349489e-01, 4.531269e-03, 1.131793e-01, 2.300156e-01, 7.632745e-02, 1.467794e+00, 2.798142e+00, 9.455580e+00, 8.963904e+00, 3.339719e+00, 4.426929e-01, 4.658512e-01, 2.597451e-01, 9.048179e-01, 7.394505e-01, 1.607092e-01, 1.110866e+00, 9.623856e-01, 2.735487e+00, 2.445602e+00, 8.826352e-01, 1.140142e-01,-1.584333e-01,-1.728865e-01,-4.461431e-01,-3.925259e-01,-1.276203e-01,-1.308728e-02, 9.796164e-02, 1.350554e+00, 1.445216e-01,-6.180219e-02, 3.093878e-02, 1.567090e-02, 1.304129e+00, 1.395919e-01, 4.142455e-03,-9.732503e-03, 5.114149e-01,-1.160850e-02


/*
 * data for Lhei(1->14), Lhe(15->25) Rmin(26->43), The(44->65), 
 * Tbl(66->79), Lzahb(80->87) and Rzahb(88->99)
 */
#define XH_DATA 666,2.751631e+03, 3.557098e+02,-3.820831e-02, 5.872664e-02, 1.5e+01, 1.071738e+02,-8.970339e+01,-3.949739e+01, 7.348793e+02,-1.531020e+02,-3.793700e+01, 9.219293e+00,-2.005865e+00,-5.561309e-01, 2.917412e+00, 1.575290e+00, 5.751814e-01, 6.371760e-01, 3.880523e-01, 4.916389e+00, 2.862149e+00, 7.844850e-01, 3.629118e+00,-9.112722e-01, 1.042291e+00, 1.609901e+01, 7.391573e+00, 2.277010e+01, 8.334227e+00, 1.747500e-01, 6.271202e-02,-2.324229e-02,-1.844559e-02, 2.752869e+00, 2.729201e-02, 4.996927e-01, 2.496551e-01,-9.138012e-02,-3.671407e-01, 3.518506e+00, 1.112440e+00,-4.556216e-01,-2.179426e-01, 1.314955e+02, 2.009258e+01,-5.143082e-01,-1.379140e+00, 1.823973e+01,-3.074559e+00,-4.307878e+00, 1.5e+01, 2.327037e+00, 2.403445e+00, 1.208407e+00, 2.087263e-01, 1.079113e-01, 1.762409e-02, 1.096601e-02, 3.058818e-03, 2.327409e+00, 6.901582e-01,-2.158431e-01,-1.084117e-01, 1.997378e+00,-8.126205e-01, 2.214315e+00,-1.975747e+00, 4.805428e-01, 2.471620e+00,-5.401682e+00, 3.247361e+00, 5.072525e+00, 1.146189e+01, 6.961724e+00, 1.316965e+00, 5.139740e+00, 1.127733e+00, 2.344416e-01,-3.793726e-01, 5.496045e+01,-1.289968e+01, 6.385758e+00, 1.832694e+00,-5.766608e-02, 5.696128e-02, 1.211104e+02, 1.647903e+00, 2.063983e+00, 7.363827e-01, 2.654323e-01,-6.140719e-02, 2.214088e+02, 2.187113e+02, 1.170177e+01,-2.635340e+01, 2.003160e+00, 9.388871e-01, 9.656450e-01, 2.362266e-01

/*
 * giant branch parameters for calculation of radius for metallicities
 * where detailed models exist:
 * {0.03,...},{0.02,...},{0.01,...},{0.004,...},{0.001,...},{0.0003,...},
 * {0.0001, ...}.
 */
#define R_AGB_DATA {0.03, 0.166228178401863, 0.464172670346712, 0.827105426484826, 0.955222187633753, 1.48198352252597, 0.340585629839457, 2.30595357804208, 0.543838869374733, 1.37937761917988, -0.204979382507066, 1.00186288378754, 1.16215242264799, 1.22670618958354, 0.266542676922744, 1.56691223551733, 0.491362686510494}, {0.02, 0.382721503094856, 0.397, 0.755037258540173, 0.980079527342624, 1.125124, 0.3349489, 1.467794, 0.4658512, 1.110866, -0.1584333, 0.8264782265, 0.892760248256232, 0.9960283, 0.2561062, 1.157338, 0.4022765}, {0.01, 0.464801706052092, 0.35818976100251, 0.733013528321984, 0.990014224018726, 0.991929250383952, 0.3381932323582, 1.26412906577502, 0.450802083053889, 1.00929880460779, -0.137126252077866, 0.772395876985914, 0.794489013495642, 0.91241179272028, 0.231352469618528, 1.02539654487701, 0.38056822011598}, {0.004, 0.18101, 0.454109220692818, 0.792399926752767, 0.972228664242821, 1.18789479280797, 0.32674745038804, 1.79381896456655, 0.512200257343766, 1.13114460906483, -0.149793382601247, 0.88207384399123, 0.969403841301502, 1.01636241173003, 0.196650275278848, 1.32709823458959, 0.44679074372037}, {0.001, 0.014, 0.54, 0.970733461153508, 0.94720705100323, 1.1961285228005, 0.23277396568705, 2.01067271024292, 0.491502011307212, 1.20719289850457, -0.14111695037313, 0.979006002544324, 1.04089389501598, 1.08823809352717, 0.160963435616414, 1.57364028915114, 0.444000019097996}, {0.0003, 0.043200850143187, 0.54, 0.820837395811517, 0.951945505329554, 1.07198109475085, 0.152255145097621, 1.45484736860748, 0.293992104075501, 1.08330122587662, -0.0937729276746248, 0.930597567886531, 0.97787639225902, 1.01995033949076, 0.148486622527464, 1.19586349883338, 0.270576743662738}, {0.0001, 0.121255096057148, 0.54, 0.715978531081962, 0.977739750612989, 2.76398339541116, 0.261199534900665, 0.953069432918553, 0.155321605757471, 0.973679226231027, -0.0740566653969604, 0.8492355315336, 0.864028560375738, 0.921960958280271, 0.133278165602687, 0.948701334996086, 0.177744654190284}

#endif // METALLICITY_DATA_H
